package com.jpattern.orm;

import com.jpattern.orm.session.SessionProvider;

public final class CurrentSessionProvider {

	private static SessionProvider sessionProvider;

	private CurrentSessionProvider() {
	}
	
	static void setSessionProvider(SessionProvider sessionProvider) {
		CurrentSessionProvider.sessionProvider = sessionProvider;
	}

	static SessionProvider getSessionProvider() {
		return sessionProvider;
	}
	
}
