package com.jpattern.orm;

import com.jpattern.orm.session.SessionProvider;

public interface ISessionsProvider {
	
	SessionProvider getH2SessionProvider();
	
	SessionProvider getDerbySessionProvider();
	
	SessionProvider getHSQLDBSessionProvider();
	
	SessionProvider getOracleSessionProvider();
	
	boolean isOracleAvailable();

}
