package com.jpattern.orm.test.mapper;

import com.jpattern.orm.annotation.Column;
import com.jpattern.orm.annotation.Id;
import com.jpattern.orm.annotation.Schema;
import com.jpattern.orm.annotation.Table;

/**
 * 
 * @author Francesco Cina
 *
 * 08/giu/2011
 */

@Table(name = "ANNOTATION_TABLE_NAME")
@Schema( name = "SCHEMA_NAME")
public class AnnotationBean3 {

	@Id
	private String index;
	
	public long columnNotAnnotated;
	
	@Id
	@Column(name = "ANNOTATION_COLUMN_NAME")
	Object columnAnnotated;

	public String getIndex() {
		return index;
	}

	public void setIndex(String index) {
		this.index = index;
	}
	
}
