package com.jpattern.orm;

import com.jpattern.orm.generator.GeneratorStrategy;

public class SessionProviderProxy {

	private static ISessionsProvider sessionsProvider;
	private static GeneratorStrategy generatorStrategy;

	static ISessionsProvider getSessionsProvider() {
		return sessionsProvider;
	}

	public static void setSessionsProvider(ISessionsProvider sessionsProvider, GeneratorStrategy generatorStrategy) {
		SessionProviderProxy.sessionsProvider = sessionsProvider;
		SessionProviderProxy.generatorStrategy = generatorStrategy;
	}

	static GeneratorStrategy getGeneratorStrategy() {
		return generatorStrategy;
	}

}
