package com.jpattern.orm.test.domain;

import com.jpattern.orm.annotation.Column;
import com.jpattern.orm.annotation.Generator;
import com.jpattern.orm.annotation.GeneratorType;
import com.jpattern.orm.annotation.Id;
import com.jpattern.orm.annotation.Table;

/**
 * 
 * @author Francesco Cina
 *
 * 08/giu/2011
 */
@Table(name="BLOBCLOB")
public class Blobclob_ByteArray {

	private byte[] blob;
	private byte[] clob;
	
	@Id
	@Generator(generatorType = GeneratorType.SEQUENCE, name = "SEQ_BLOBCLOB")
	@Column(name = "ID")
	private long index;
	
	public long getIndex() {
		return index;
	}
	public void setIndex(long index) {
		this.index = index;
	}
	public byte[] getBlob() {
		return blob;
	}
	public void setBlob(byte[] blob) {
		this.blob = blob;
	}
	public byte[] getClob() {
		return clob;
	}
	public void setClob(byte[] clob) {
		this.clob = clob;
	}
	
}
