package com.jpattern.orm.test.domain;

import com.jpattern.orm.annotation.Generator;
import com.jpattern.orm.annotation.GeneratorType;
import com.jpattern.orm.annotation.Id;
import com.jpattern.orm.annotation.Table;

/**
 * 
 * @author Francesco Cina
 *
 * 08/giu/2011
 */
@Table(name="BLOBCLOB")
public class Blobclob_String {

	private byte[] blob;
	private String clob;

	@Id
	@Generator(generatorType = GeneratorType.SEQUENCE, name = "SEQ_BLOBCLOB")
	private long id;

	public long getId() {
		return this.id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public byte[] getBlob() {
		return this.blob;
	}
	public void setBlob(byte[] blob) {
		this.blob = blob;
	}
	public String getClob() {
		return this.clob;
	}
	public void setClob(String clob) {
		this.clob = clob;
	}



}
