package com.jpattern.orm.test.domain;

import java.io.InputStream;
import java.io.Reader;
import java.sql.Blob;
import java.sql.Date;

import com.jpattern.orm.annotation.Generator;
import com.jpattern.orm.annotation.GeneratorType;
import com.jpattern.orm.annotation.Id;
import com.jpattern.orm.annotation.Table;

/**
 * 
 * @author Francesco Cina
 *
 * 05/giu/2011
 */
@Table(name="PEOPLE")
public class People_ConditionalGenerator  {

	@Id
	@Generator(generatorType = GeneratorType.SEQUENCE, name = "SEQ_PEOPLE", ifValueIn={-1})
	private long id = -1;

	private String firstname;
	private String lastname;
	private Date birthdate;
	private Date deathdate;
	private InputStream firstblob;
	private Blob secondblob;
	private Reader firstclob;

	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getFirstname() {
		return firstname;
	}
	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}
	public String getLastname() {
		return lastname;
	}
	public void setLastname(String lastname) {
		this.lastname = lastname;
	}
	public Date getBirthdate() {
		return birthdate;
	}
	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}
	public Date getDeathdate() {
		return deathdate;
	}
	public void setDeathdate(Date deathdate) {
		this.deathdate = deathdate;
	}
	public InputStream getFirstblob() {
		return firstblob;
	}
	public void setFirstblob(InputStream firstblob) {
		this.firstblob = firstblob;
	}
	public Blob getSecondblob() {
		return secondblob;
	}
	public void setSecondblob(Blob secondblob) {
		this.secondblob = secondblob;
	}
	public void setFirstclob(Reader firstclob) {
		this.firstclob = firstclob;
	}
	public Reader getFirstclob() {
		return firstclob;
	}

}
